Main Page Class List Class Members

# Nv::Blast::SweepingAccelerator Class Reference

`#include <NvBlastExtAuthoringAccelerator.h>`

Inheritance diagram for Nv::Blast::SweepingAccelerator:

List of all members.

## Public Member Functions
virtual int32_t | getNextFacet () override
virtual void | setPointCmpDirection (int32_t dir) override
virtual void | setState (const NvcVec3 &point) override
virtual void | setState (const NvcBounds3 *bounds) override
virtual void | setState (const Vertex *pos, const Edge *ed, const Facet &fc) override
| SweepingAccelerator (Nv::Blast::Mesh *in)

## Constructor & Destructor Documentation

Nv::Blast::SweepingAccelerator::SweepingAccelerator | ( | Nv::Blast::Mesh * | in | ) |

Parameters:

  `[in]` | count | Mesh facets count for which accelerator should be built.

## Member Function Documentation

virtual int32_t Nv::Blast::SweepingAccelerator::getNextFacet | ( |  | ) | `[override, virtual]`

Recieve next facet for setted state.

Returns:
  Next facet index, or -1 if no facets left.

Implements Nv::Blast::SpatialAccelerator.

virtual void Nv::Blast::SweepingAccelerator::setPointCmpDirection | ( | int32_t | dir | ) | `[inline, override, virtual]`

Implements Nv::Blast::SpatialAccelerator.

virtual void Nv::Blast::SweepingAccelerator::setState | ( | const NvcVec3 & | point | ) | `[override, virtual]`

Set state of accelerator to return all facets which possibly can cover given point. Needed for testing whether point is inside mesh.

Parameters:

  `[in]` | point | Point which should be tested.

Implements Nv::Blast::SpatialAccelerator.

virtual void Nv::Blast::SweepingAccelerator::setState | ( | const NvcBounds3 * | bounds | ) | `[override, virtual]`

Set state of accelerator to return all facets which possibly can intersect given facet bound.

Parameters:

  `[in]` | pos | Vertex buffer
  `[in]` | ed | Edge buffer
  `[in]` | fc | Facet which should be tested.

Implements Nv::Blast::SpatialAccelerator.

virtual void Nv::Blast::SweepingAccelerator::setState | ( | const Vertex * | pos,
|  | const Edge * | ed,
|  | const Facet & | fc |
| ) |  |  | `[override, virtual]`

Set state of accelerator to return all facets which possibly can intersect given facet.

Parameters:

  `[in]` | pos | Vertex buffer
  `[in]` | ed | Edge buffer
  `[in]` | fc | Facet which should be tested.

Implements Nv::Blast::SpatialAccelerator.

The documentation for this class was generated from the following file:

- sdk/extensions/authoringCommon/include/NvBlastExtAuthoringAccelerator.h